io.vertx.serviceproxy

## Class ProxyHandler

- java.lang.Object
- - io.vertx.serviceproxy.ProxyHandler

- All Implemented Interfaces:
    Handler<Message<JsonObject>>

      public abstract class ProxyHandler
      extends Object
      implements Handler<Message<JsonObject>>

  Author:
    Tim Fox

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `closed`
    `protected MessageConsumer<JsonObject>` | `consumer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProxyHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `MessageConsumer<JsonObject>` | `register(EventBus eventBus, String address)` Register the proxy handle on the event bus.
    `MessageConsumer<JsonObject>` | `register(EventBus eventBus, String address, List<java.util.function.Function<Message<JsonObject>,Future<Message<JsonObject>>>> interceptors)` Register the proxy handle on the event bus.
    `MessageConsumer<JsonObject>` | `registerLocal(EventBus eventBus, String address)` Register the local proxy handle on the event bus.
    `MessageConsumer<JsonObject>` | `registerLocal(EventBus eventBus, String address, List<java.util.function.Function<Message<JsonObject>,Future<Message<JsonObject>>>> interceptors)` Register the local proxy handle on the event bus.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.core.Handler

      `handle`

- - ### Field Detail

    - #### closed

          protected boolean closed

    - #### consumer

          protected MessageConsumer<JsonObject> consumer

  - ### Constructor Detail

    - #### ProxyHandler

          public ProxyHandler()

  - ### Method Detail

    - #### close

          public void close()

    - #### register

          public MessageConsumer<JsonObject> register(EventBus eventBus,
                                                      String address)

      Register the proxy handle on the event bus.
      Parameters:
        `eventBus` - the event bus
        `address` - the proxy address

    - #### registerLocal

          public MessageConsumer<JsonObject> registerLocal(EventBus eventBus,
                                                           String address)

      Register the local proxy handle on the event bus. The registration will not be propagated to other nodes in the cluster.
      Parameters:
        `eventBus` - the event bus
        `address` - the proxy address

    - #### register

          public MessageConsumer<JsonObject> register(EventBus eventBus,
                                                      String address,
                                                      List<java.util.function.Function<Message<JsonObject>,Future<Message<JsonObject>>>> interceptors)

      Register the proxy handle on the event bus.
      Parameters:
        `eventBus` - the event bus
        `address` - the proxy address
        `interceptors` - the interceptors

    - #### registerLocal

          public MessageConsumer<JsonObject> registerLocal(EventBus eventBus,
                                                           String address,
                                                           List<java.util.function.Function<Message<JsonObject>,Future<Message<JsonObject>>>> interceptors)

      Register the local proxy handle on the event bus. The registration will not be propagated to other nodes in the cluster.
      Parameters:
        `eventBus` - the event bus
        `address` - the proxy address
        `interceptors` - the interceptors

Copyright © 2020 Eclipse. All rights reserved.